curl --request GET \
--url https://api.initdesk.com/organizations/{organization_id}/ \
--header 'X-Initdesk-Token: <api-key>'import requests
url = "https://api.initdesk.com/organizations/{organization_id}/"
headers = {"X-Initdesk-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Initdesk-Token': '<api-key>'}};
fetch('https://api.initdesk.com/organizations/{organization_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.initdesk.com/organizations/{organization_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Initdesk-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.initdesk.com/organizations/{organization_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Initdesk-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.initdesk.com/organizations/{organization_id}/")
.header("X-Initdesk-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.initdesk.com/organizations/{organization_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Initdesk-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"email": "jsmith@example.com",
"profile_picture_url": "<string>",
"name": "<string>"
},
"support_email": "jsmith@example.com",
"deletion_plan": {
"status": "active",
"inactivity_detected_at": "2023-11-07T05:31:56Z",
"deletion_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "active",
"plan_name": "<string>",
"plan_metric": "<string>",
"renews_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"trial_ends_at": "2023-11-07T05:31:56Z",
"trial_days_remaining": 123,
"has_access_enabled": true
},
"customer_max_inactivity_period": 0,
"customer_inactivity_reminder_period": 0,
"site_url": "<string>",
"description": "<string>",
"email_from_name": "<string>",
"email_subject_prefix": "<string>",
"enable_csat": true,
"enable_auto_tagging": true,
"enable_cc_email_routing": true,
"enable_self_service": true,
"enable_associate_signatures": true,
"enable_auto_stt": true,
"ticket_public_id_mode": "auto_numeric",
"working_language": "en"
}Retrieve organization
Retrieve an organization by its internal ID or public_id.
curl --request GET \
--url https://api.initdesk.com/organizations/{organization_id}/ \
--header 'X-Initdesk-Token: <api-key>'import requests
url = "https://api.initdesk.com/organizations/{organization_id}/"
headers = {"X-Initdesk-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Initdesk-Token': '<api-key>'}};
fetch('https://api.initdesk.com/organizations/{organization_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.initdesk.com/organizations/{organization_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Initdesk-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.initdesk.com/organizations/{organization_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Initdesk-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.initdesk.com/organizations/{organization_id}/")
.header("X-Initdesk-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.initdesk.com/organizations/{organization_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Initdesk-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"public_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"email": "jsmith@example.com",
"profile_picture_url": "<string>",
"name": "<string>"
},
"support_email": "jsmith@example.com",
"deletion_plan": {
"status": "active",
"inactivity_detected_at": "2023-11-07T05:31:56Z",
"deletion_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "active",
"plan_name": "<string>",
"plan_metric": "<string>",
"renews_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"trial_ends_at": "2023-11-07T05:31:56Z",
"trial_days_remaining": 123,
"has_access_enabled": true
},
"customer_max_inactivity_period": 0,
"customer_inactivity_reminder_period": 0,
"site_url": "<string>",
"description": "<string>",
"email_from_name": "<string>",
"email_subject_prefix": "<string>",
"enable_csat": true,
"enable_auto_tagging": true,
"enable_cc_email_routing": true,
"enable_self_service": true,
"enable_associate_signatures": true,
"enable_auto_stt": true,
"ticket_public_id_mode": "auto_numeric",
"working_language": "en"
}Authorizations
Path Parameters
^[-a-zA-Z0-9_]+$Response
32255Show child attributes
Show child attributes
Default inbox email address. Prefer inbox channel_connections (type=email).external_identifier for multi-channel setups.
Show child attributes
Show child attributes
Read-only subscription payload for organization and billing endpoints.
Show child attributes
Show child attributes
x >= -1x >= -120032Deprecated. No longer prepended to outbound ticket email subjects. Kept for API compatibility.
32Beta feature. Contact support@initdesk.com if you want to try it.
When a ticket arrives, automatically tags every ticket (except spam).
When enabled, inbound email is routed using To/Cc headers, deduplicated across inboxes, and external recipients are stored for agent replies.
Allow customers to sign in to the help center with email OTP and manage their own tickets.
When enabled, an associate's stored signature replaces the inbox signature on conversation email they send.
When enabled, inbound customer WhatsApp audio is transcribed automatically after the ticket or message is created.
How new ticket public IDs are generated: auto_numeric (1, 2, 3…), random_numeric (8-digit), or alphanumeric (6 chars).
auto_numeric- Auto numericrandom_numeric- Random numericalphanumeric- Alphanumeric
auto_numeric, random_numeric, alphanumeric Language the organization works in for associate-facing product and AI surfaces (for example ticket summaries and the default agent). On create, when this field is omitted, it is set from the request Accept-Language header.
en- Englishes- Spanishfr- Frenchnl- Dutchpt-br- Portuguese
en, es, fr, nl, pt-br Was this page helpful?

